petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSRHSSplitSetRHSFunction

Set the split right-hand-side functions.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSRHSSplitSetRHSFunction(TS ts,const char splitname[],Vec r,TSRHSFunction rhsfunc,void *ctx)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| splitname | - name of this split
| r | - vector to hold the residual (or NULL to have it created internally)
| rhsfunc | - the RHS function evaluation routine
| ctx | - user-defined context for private data for the split function evaluation routine (may be NULL)

### Calling sequence of fun

     rhsfunc(TS ts,PetscReal t,Vec u,Vec f,ctx);

| t | - time at step/stage being solved
| u | - state vector
| f | - function vector
| ctx | - [optional] user-defined context for matrix evaluation routine (may be NULL)

### Keywords

TS, timestep, set, ODE, Hamiltonian, Function

### Level

beginner

### Location

src/ts/interface/tsrhssplit.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages